<?php

/**
 * The file contains the class defining sharing networks and their sharer urls
 *
 * @since      1.0.0
 *
 */

/**
 * This class defines sharing networks and their sharer urls
 *
 * @since      1.0.0
 *
 */
class Sassy_Social_Share_Sharing_Networks {
	/**
	 * Options saved in database.
	 *
	 * @since    2.4
	 */
	private $options;

	/**
	 * Constructor
	 *
	 * @since    1.0.0
	 */
	public function __construct( $options ) {

		$this->options = $options;

	}

	/**
	 * Supported Social sharing networks
	 *
	 * @since    1.0.0
	 */
	private $sharing_networks = array(
		'facebook_share' => '<li style="padding:%padding%px 0!important" class="heateor_sss_%network%">%like_count_container%<div class="fb-share-button" data-href="%post_url%" data-layout="button_count"></div></li>',
		'facebook_like' => '<li style="padding:%padding%px 0!important" class="heateor_sss_%network%">%like_count_container%<div class="fb-like" data-href="%post_url%" data-layout="button_count" data-action="like" data-show-faces="false" data-share="false"></div></li>',
		'facebook_recommend' => '<li style="padding:%padding%px 0!important" class="heateor_sss_%network%">%like_count_container%<div class="fb-like" data-href="%post_url%" data-layout="button_count" data-action="recommend" data-show-faces="false" data-share="false"></div></li>',
		'twitter_tweet' => '<li style="padding:%padding%px 0!important" class="heateor_sss_%network%" heateor-sss-data-href="%post_url%">%like_count_container%<a href="https://twitter.com/share" class="twitter-share-button" data-url="%post_url%" data-counturl="%post_url%" data-text="%decoded_post_title%" data-via="%twitter_username%" data-lang="%language%" >Tweet</a><script>!function(d,s,id) {var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?"http":"https";if ( !d.getElementById(id) ) {js=d.createElement(s);js.id=id;js.src=p+"://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document, "script", "twitter-wjs");</script></li>',
		'linkedin_share' => '<li style="padding:7.35px 0!important;margin-top:-2px!important;" class="heateor_sss_%network%">%like_count_container%<script src="//platform.linkedin.com/in.js" type="text/javascript">lang: %language%</script><script type="IN/Share" data-url="%post_url%" data-counter="right"></script></li>',
		'pinterest_pin' => '<li style="padding:%padding%px 0!important;margin-top:-1px!important" class="heateor_sss_%network%">%like_count_container%<a data-pin-lang="%language%" href="//www.pinterest.com/pin/create/button/?url=%post_url%" data-pin-do="buttonPin" data-pin-config="beside"><img src="//assets.pinterest.com/images/pidgets/pinit_fg_en_rect_gray_20.png" /></a><script type="text/javascript" async src="//assets.pinterest.com/js/pinit.js"></script></li>',
		'buffer_share' => '<li style="padding:%padding%px 0!important" class="heateor_sss_%network%">%like_count_container%<a href="http://bufferapp.com/add" class="buffer-add-button" data-text="%post_title%" data-url="%post_url%" data-count="horizontal" data-via="%buffer_username%" ></a><script type="text/javascript" src="https://d389zggrogs7qo.cloudfront.net/js/button.js"></script></li>',
		'xing_share' => '<li style="padding:%padding%px 0 !important" class="heateor_sss_xing">%like_count_container%<div data-type="XING/Share" data-counter="right" data-url="%post_url%" data-lang="%language%"></div><script>(function (d, s) {var x = d.createElement(s), s = d.getElementsByTagName(s)[0]; x.src = "https://www.xing-share.com/js/external/share.js"; s.parentNode.insertBefore(x, s); })(document, "script");</script></li>',
		'yummly_share' => '<li style="padding:%padding%px 0!important" class="heateor_sss_yummly">%like_count_container%<a href="//yummly.com" class="YUMMLY-YUM-BUTTON">Yum</a><script src="https://www.yummly.com/js/widget.js?general"></script></li>',
		'parler' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://parler.com/new-post?message=%post_title%&url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'gab' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://gab.com/compose?url=%encoded_post_url%&text=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'reddit_badge' => '<li style="padding:%padding%px 0!important" class="heateor_sss_reddit">%like_count_container%<script type="text/javascript" src="//www.reddit.com/static/button/button1.js"></script></li>',
		'facebook' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.facebook.com/sharer/sharer.php?u=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'twitter' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://twitter.com/intent/tweet?%via_twitter_username%text=%wpseo_post_title%&url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'linkedin' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.linkedin.com/shareArticle?mini=true&url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'print' => '<li class="%li_class%"><i %style% alt="%title%" Title="Print" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'window.print()\'><ss style="display:block" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'email' => '<li class="%li_class%"><i %style% alt="%title%" Title="Email" class="heateorSssSharing heateorSss%ucfirst_network%Background" %amp_email% onclick="window.open(\'mailto:?subject=\' + decodeURIComponent(\'%post_title%\' ).replace(\'&\', \'%26\') + \'&body=\' + decodeURIComponent(\'%encoded_post_url%\' ), \'_blank\')"><ss style="display:block" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'reddit' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://reddit.com/submit?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'digg' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://digg.com/submit?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'float_it' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.designfloat.com/submit.php?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'tumblr' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.tumblr.com/widgets/share/tool?posttype=link&canonicalUrl=%encoded_post_url%&title=%post_title%&caption=")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'vkontakte' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://vkontakte.ru/share.php?&url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'pinterest' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick="javascript:void( (function() {var e=document.createElement(\'script\' );e.setAttribute(\'type\',\'text/javascript\' );e.setAttribute(\'charset\',\'UTF-8\' );e.setAttribute(\'src\',\'//assets.pinterest.com/js/pinmarklet.js?r=\'+Math.random()*99999999);document.body.appendChild(e)})());"><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'xing' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.xing.com/spi/shares/new?cb=0&url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'instagram' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background"><a href="https://www.instagram.com/%instagram_username%" rel="nofollow noopener" target="_blank"><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></a></i></li>',
		'yummly' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.yummly.com/urb/verify?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'buffer' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://buffer.com/add?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'AIM' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://lifestream.aol.com/?url=%%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Amazon_Wish_List' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.amazon.com/wishlist/add?u=%encoded_post_url%&t=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'AOL_Mail' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://webmail.aol.com/25045/aol/en-us/Mail/compose-message.aspx?subject=%post_title%&body=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'App.net' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://account.app.net/login/")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Balatarin' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.balatarin.com/login")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'BibSonomy' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.bibsonomy.org/login")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Bitty_Browser' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.bitty.com/manual/?contenttype=&contentvalue=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Blinklist' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://blinklist.com/blink?t=%post_title%&d=&u=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Blogger_Post' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.blogger.com/blog_this.pyra?t&u=%encoded_post_url%&l&n=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'BlogMarks' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://blogmarks.net/my/new.php?mini=1&simple=1&title=%post_title%&url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Bookmarks.fr' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.bookmarks.fr/Connexion/?action=add&address=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Box.net' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.box.com/api/1.0/import?url=%encoded_post_url%&name=%post_title%&description=&import_as=link")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'BuddyMarks' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://buddymarks.com/login.php?bookmark_title=%post_title%&bookmark_url=%encoded_post_url%&bookmark_desc=&bookmark_tags=")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Care2_News' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.care2.com/passport/login.html?promoID=10&pg=http://www.care2.com/news/compose?sharehint=news&share[share_type]news&bookmarklet=Y&share[title]=%post_title%&share[link_url]=%encoded_post_url%&share[content]=")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Comment' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background"><a href="%post_url%#%comment_container_id%" rel="nofollow"><ss style="display:block" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></a></i></li>',
		'Copy_Link' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background"><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Diary.Ru' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.diary.ru/?newpost&title=%post_title%&text=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Diaspora' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://joindiaspora.com/bookmarklet?url=%encoded_post_url%&title=%post_title%&v=1&")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Diigo' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.diigo.com/post?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Draugiem' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.draugiem.lv/say/ext/add.php?link=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Douban' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.douban.com/share/service?name=%post_title%&href=%encoded_post_url%&image=&updated=&bm=&url=%encoded_post_url%&title=%post_title%&sel=")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Evernote' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.evernote.com/clip.action?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Fark' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.fark.com/submit?new_url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Fintel' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://fintel.io/submit?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Flipboard' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://share.flipboard.com/bookmarklet/popout?v=2&url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Folkd' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.folkd.com/page/social-bookmarking.html?addurl=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'GentleReader' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://app.gentlereader.com/bookmark?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Google_Bookmarks' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.google.com/bookmarks/mark?op=edit&bkmk=%encoded_post_url%&title=%post_title%&annotation=")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Google_Classroom' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://classroom.google.com/u/0/share?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Google_Gmail' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://mail.google.com/mail/?ui=2&view=cm&fs=1&tf=1&su=%post_title%&body=Link:%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Hacker_News' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://news.ycombinator.com/submitlink?u=%encoded_post_url%&t=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Hatena' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://b.hatena.ne.jp/bookmarklet?url=%encoded_post_url%&btitle=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Instapaper' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.instapaper.com/edit?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Jamespot' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//my.jamespot.com/")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Kakao' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://story.kakao.com/share?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Kik' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.kik.com/send/article/?app_name=Share&text=&title=%post_title%&url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Kindle_It' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//fivefilters.org/kindle-it/send.php?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Known' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://withknown.com/share/?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Line' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background"><a href="https://social-plugins.line.me/lineit/share?url=%encoded_post_url%"><ss style="display:block" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></a></i></li>',
		'LiveJournal' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.livejournal.com/update.bml?subject=%post_title%&event=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Mail.Ru' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://connect.mail.ru/share?share_url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Mendeley' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.mendeley.com/sign-in/")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Meneame' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.meneame.net/submit.php?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'MeWe' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://mewe.com/share?link=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'mix' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://mix.com/mixit?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Mixi' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://mixi.jp/share.pl?mode=login&u=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'MySpace' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'var heateorSssMyspaceShareUrl = "https://myspace.com/post?u=" + encodeURIComponent("%encoded_post_url%") +  "&t=%post_title%&l=3&c=%post_title%";heateorSssPopup(heateorSssMyspaceShareUrl)\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Netvouz' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.netvouz.com/action/submitBookmark?url=%encoded_post_url%&title=%post_title%&popup=no&description=")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'NewsVine' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.newsvine.com/_tools/seed?popoff=0&u=%encoded_post_url%&h=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'NUjij' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.nujij.nl/nieuw-bericht.2051051.lynkx?title=%post_title%&url=%encoded_post_url%&bericht=&topic=")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Odnoklassniki' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://connect.ok.ru/dk?cmd=WidgetSharePreview&st.cmd=WidgetSharePreview&st.shareUrl=%encoded_post_url%&st.client_id=-1")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Outlook.com' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://mail.live.com/default.aspx?rru=compose?subject=%post_title%&body=%encoded_post_url%&lc=1033&id=64855&mkt=en-us&cbcxt=mai")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Papaly' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://papaly.com/api/share.html?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Pinboard' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://pinboard.in/popup_login/?url=%encoded_post_url%&title=%post_title%&later=&description=&next=same")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Plurk' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//www.plurk.com/m?content=%encoded_post_url%&qualifier=shares")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Pocket' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://readitlaterlist.com/save?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'PrintFriendly' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.printfriendly.com/print?url=%encoded_post_url%&partner=a2a")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Protopage_Bookmarks' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.protopage.com/add-button-site?url=%encoded_post_url%&label=&type=page")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Pusha' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//www.pusha.se/posta?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Qzone' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://sns.qzone.qq.com/cgi-bin/qzshare/cgi_qzshare_onekey?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Rediff MyPage' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//share.rediff.com/bookmark/addbookmark?bookmarkurl=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Refind' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://refind.com/?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Renren' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//www.connect.renren.com/share/sharer?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Segnalo' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://segnalo.virgilio.it/post.html.php?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Sina Weibo' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://service.weibo.com/share/share.php?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'SiteJot' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("http://www.sitejot.com/loginform.php?iSiteAdd=&iSiteDes=")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Skype' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://web.skype.com/share?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Slashdot' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//slashdot.org/submission?url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'SMS' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background"><a href="sms:?&body=%post_title% %encoded_post_url%" rel="nofollow"><ss style="display:block" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></a></i></li>',
		'StockTwits' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://stocktwits.com/widgets/share?body=%post_title%%20%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Stumpedia' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//www.stumpedia.com/submit?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Svejo' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://svejo.net/story/submit_by_url?url=%encoded_post_url%&title=%post_title%&summary=")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Symbaloo_Feeds' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//www.symbaloo.com/")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Telegram' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://telegram.me/share/url?url=%encoded_post_url%&text=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Threema' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background"><a href="threema://compose?text=%post_title% %encoded_post_url%" rel="nofollow"><ss style="display:block" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></a></i></li>',
		'Trello' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://trello.com/add-card?mode=popup&url=%encoded_post_url%&name=%post_title%&desc=")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Tuenti' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.tuenti.com/share?p=b5dd6602&url=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Twiddla' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//www.twiddla.com/New.aspx?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'TypePad_Post' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://www.typepad.com/services/quickpost/post?v=2&qp_show=ac&qp_title=%post_title%&qp_href=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Viadeo' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//www.viadeo.com/shareit/share/?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Viber' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background"><a href="viber://forward?text=%post_title% %encoded_post_url%" rel="nofollow"><ss style="display:block" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></a></i></li>',
		'Webnews' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//www.webnews.de/login")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'WordPress' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//www.addtoany.com/ext/wordpress/press_this?linkurl=%encoded_post_url%&linkname=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Wykop' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//www.wykop.pl/dodaj?url=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Yahoo_Mail' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//compose.mail.yahoo.com/?Subject=%post_title%&body=Link:%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'Yoolink' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//yoolink.to/addorshare?url_value=%encoded_post_url%&title=%post_title%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'YouMob' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("//youmob.com/startmob.aspx?cookietest=true&mob=%encoded_post_url%")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>',
		'youtube' => '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background"><a href="%youtube_username%" rel="nofollow noopener" target="_blank"><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></a></i></li>'
	);


	/**
	 * Social sharing networks for AMP
	 *
	 * @since    3.1.7
	 */
	private $amp_sharing_networks = array(
		'Copy_Link' => '',
		'facebook_share' => '',
		'facebook_like' => '',
		'facebook_recommend' => '',
		'twitter_tweet' => '',
		'linkedin_share' => '',
		'pinterest_pin' => '',
		'buffer_share' => '',
		'xing_share' => '',
		'yummly_share' => '',
		'facebook' => '<a class="heateor_sss_amp heateor_sss_amp_facebook" href="https://www.facebook.com/sharer/sharer.php?u=%encoded_post_url%" title="Facebook" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/facebook.svg" width="%width%" height="%height%" alt="Facebook" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'twitter' => '<a class="heateor_sss_amp heateor_sss_amp_twitter" href="http://twitter.com/intent/tweet?%via_twitter_username%text=%wpseo_post_title%&url=%encoded_post_url%" title="Twitter" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/twitter.svg" width="%width%" height="%height%" alt="Twitter" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'parler' => '<a class="heateor_sss_amp heateor_sss_amp_twitter" href="https://parler.com/new-post?message=%post_title%&url=%encoded_post_url%" title="Parler" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/parler.svg" width="%width%" height="%height%" alt="Parler" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'gab' => '<a class="heateor_sss_amp heateor_sss_amp_twitter" href="https://gab.com/compose?url=%encoded_post_url%&text=%post_title%" title="gab" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/gab.svg" width="%width%" height="%height%" alt="gab" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'linkedin' => '<a class="heateor_sss_amp heateor_sss_amp_linkedin" href="http://www.linkedin.com/shareArticle?mini=true&url=%encoded_post_url%&title=%post_title%" title="Linkedin" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/linkedin.svg" width="%width%" height="%height%" alt="Linkedin" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'print' => '<a class="heateor_sss_amp heateor_sss_amp_print" href="javascript:void(0)" onclick="window.print()" title="Print" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/print.svg" width="%width%" height="%height%" alt="Print" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'email' => '<a class="heateor_sss_amp heateor_sss_amp_email" href="mailto:?subject=%post_title%&body=%encoded_post_url%" title="Email" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/email.svg" width="%width%" height="%height%" alt="Email" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'reddit' => '<a class="heateor_sss_amp heateor_sss_amp_reddit" href="http://reddit.com/submit?url=%encoded_post_url%&title=%post_title%" title="Reddit" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/reddit.svg" width="%width%" height="%height%" alt="Reddit" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'digg' => '<a class="heateor_sss_amp heateor_sss_amp_digg" href="http://digg.com/submit?url=%encoded_post_url%&title=%post_title%" title="Digg" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/digg.svg" width="%width%" height="%height%" alt="Digg" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'float_it' => '<a class="heateor_sss_amp heateor_sss_amp_float_it" href="http://www.designfloat.com/submit.php?url=%encoded_post_url%&title=%post_title%" title="Float it" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/float_it.svg" width="%width%" height="%height%" alt="Float it" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'tumblr' => '<a class="heateor_sss_amp heateor_sss_amp_tumblr" href="https://www.tumblr.com/widgets/share/tool?posttype=link&canonicalUrl=%encoded_post_url%&title=%post_title%&caption=" title="Tumblr" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/tumblr.svg" width="%width%" height="%height%" alt="Tumblr" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'vkontakte' => '<a class="heateor_sss_amp heateor_sss_amp_vkontakte" href="http://vkontakte.ru/share.php?&url=%encoded_post_url%" title="Vkontakte" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/vkontakte.svg" width="%width%" height="%height%" alt="Vkontakte" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'pinterest' => '<a class="heateor_sss_amp heateor_sss_amp_pinterest" href="javascript:void( (function() {var e=document.createElement(\'script\' );e.setAttribute(\'type\',\'text/javascript\' );e.setAttribute(\'charset\',\'UTF-8\' );e.setAttribute(\'src\',\'//assets.pinterest.com/js/pinmarklet.js?r=\'+Math.random()*99999999);document.body.appendChild(e)})());" title="Pinterest" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/pinterest.svg" width="%width%" height="%height%" alt="Pinterest" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'xing' => '<a class="heateor_sss_amp heateor_sss_amp_xing" href="https://www.xing.com/spi/shares/new?cb=0&url=%encoded_post_url%" title="Xing" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/xing.svg" width="%width%" height="%height%" alt="Xing" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'whatsapp' => '<a class="heateor_sss_amp heateor_sss_amp_whatsapp" href="https://api.whatsapp.com/send?text=%post_title% %encoded_post_url%" title="Whatsapp" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/whatsapp.svg" width="%width%" height="%height%" alt="Whatsapp" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'instagram' => '<a class="heateor_sss_amp heateor_sss_amp_instagram" href="https://www.instagram.com/%instagram_username%" title="Instagram" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/instagram.svg" width="%width%" height="%height%" alt="Instagram" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'yummly' => '<a class="heateor_sss_amp heateor_sss_amp_yummly" href="http://www.yummly.com/urb/verify?url=%encoded_post_url%&title=%post_title%" title="Yummly" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/yummly.svg" width="%width%" height="%height%" alt="Yummly" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'buffer' => '<a class="heateor_sss_amp heateor_sss_amp_buffer" href="https://buffer.com/add?url=%encoded_post_url%&title=%post_title%" title="Buffer" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/buffer.svg" width="%width%" height="%height%" alt="Buffer" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'AIM' => '<a class="heateor_sss_amp heateor_sss_amp_aim" href="http://lifestream.aol.com/?url=%%encoded_post_url%&title=%post_title%" title="AIM" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/aim.svg" width="%width%" height="%height%" alt="AIM" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Amazon_Wish_List' => '<a class="heateor_sss_amp heateor_sss_amp_amazon_wish_list" href="http://www.amazon.com/wishlist/add?u=%encoded_post_url%&t=%post_title%" title="Amazon Wish List" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/amazon_wish_list.svg" width="%width%" height="%height%" alt="Amazon Wish List" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'AOL_Mail' => '<a class="heateor_sss_amp heateor_sss_amp_aol_mail" href="http://webmail.aol.com/25045/aol/en-us/Mail/compose-message.aspx?subject=%post_title%&body=%encoded_post_url%" title="AOL Mail" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/aol_mail.svg" width="%width%" height="%height%" alt="AOL Mail" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'App.net' => '<a class="heateor_sss_amp heateor_sss_amp_app_net" href="https://account.app.net/login/" title="App.net" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/app_net.svg" width="%width%" height="%height%" alt="App.net" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Balatarin' => '<a class="heateor_sss_amp heateor_sss_amp_balatarin" href="https://www.balatarin.com/login" title="Balatarin" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/balatarin.svg" width="%width%" height="%height%" alt="Balatarin" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'BibSonomy' => '<a class="heateor_sss_amp heateor_sss_amp_bibsonomy" href="http://www.bibsonomy.org/login" title="BibSonomy" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/bibsonomy.svg" width="%width%" height="%height%" alt="BibSonomy" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Bitty_Browser' => '<a class="heateor_sss_amp heateor_sss_amp_bitty_browser" href="http://www.bitty.com/manual/?contenttype=&contentvalue=%encoded_post_url%" title="Bitty Browser" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/bitty_browser.svg" width="%width%" height="%height%" alt="Bitty Browser" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Blinklist' => '<a class="heateor_sss_amp heateor_sss_amp_blinklist" href="http://blinklist.com/blink?t=%post_title%&d=&u=%encoded_post_url%" title="Blinklist" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/blinklist.svg" width="%width%" height="%height%" alt="Blinklist" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Blogger_Post' => '<a class="heateor_sss_amp heateor_sss_amp_blogger_post" href="https://www.blogger.com/blog_this.pyra?t&u=%encoded_post_url%&l&n=%post_title%" title="Blogger Post" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/blogger_post.svg" width="%width%" height="%height%" alt="Blogger Post" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'BlogMarks' => '<a class="heateor_sss_amp heateor_sss_amp_blogmarks" href="http://blogmarks.net/my/new.php?mini=1&simple=1&title=%post_title%&url=%encoded_post_url%" title="BlogMarks" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/blogmarks.svg" width="%width%" height="%height%" alt="BlogMarks" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Bookmarks.fr' => '<a class="heateor_sss_amp heateor_sss_amp_bookmarks_fr" href="http://www.bookmarks.fr/Connexion/?action=add&address=%encoded_post_url%&title=%post_title%" title="Bookmarks.fr" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/bookmarks_fr.svg" width="%width%" height="%height%" alt="Bookmarks.fr" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Box.net' => '<a class="heateor_sss_amp heateor_sss_amp_box_net" href="https://www.box.com/api/1.0/import?url=%encoded_post_url%&name=%post_title%&description=&import_as=link" title="Box.net" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/box_net.svg" width="%width%" height="%height%" alt="Box.net" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'BuddyMarks' => '<a class="heateor_sss_amp heateor_sss_amp_buddymarks" href="http://buddymarks.com/login.php?bookmark_title=%post_title%&bookmark_url=%encoded_post_url%&bookmark_desc=&bookmark_tags=" title="BuddyMarks" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/buddymarks.svg" width="%width%" height="%height%" alt="BuddyMarks" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Care2_News' => '<a class="heateor_sss_amp heateor_sss_amp_care2_news" href="http://www.care2.com/passport/login.html?promoID=10&pg=http://www.care2.com/news/compose?sharehint=news&share[share_type]news&bookmarklet=Y&share[title]=%post_title%&share[link_url]=%encoded_post_url%&share[content]=" title="Care2 News" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/care2_news.svg" width="%width%" height="%height%" alt="Care2 News" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Comment' => '<a class="heateor_sss_amp heateor_sss_amp_comment" href="%post_url%#%comment_container_id%" title="Comment" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/comment.svg" width="%width%" height="%height%" alt="Comment" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Diary.Ru' => '<a class="heateor_sss_amp heateor_sss_amp_diary_ru" href="http://www.diary.ru/?newpost&title=%post_title%&text=%encoded_post_url%" title="Diary.Ru" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/diary_ru.svg" width="%width%" height="%height%" alt="Diary.Ru" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Diaspora' => '<a class="heateor_sss_amp heateor_sss_amp_diaspora" href="https://joindiaspora.com/bookmarklet?url=%encoded_post_url%&title=%post_title%&v=1&" title="Diaspora" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/diaspora.svg" width="%width%" height="%height%" alt="Diaspora" class="amp-wp-enforced-sizes" style="width: %width%px;"><i-amphtml-sizer style=	"display: block; padding-top: 100%;"></i-amphtml-sizer></amp-img></a>',
		'Diigo' => '<a class="heateor_sss_amp heateor_sss_amp_diigo" href="http://www.diigo.com/post?url=%encoded_post_url%&title=%post_title%" title="Diigo" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/diigo.svg" width="%width%" height="%height%" alt="Diigo" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Draugiem' => '<a class="heateor_sss_amp heateor_sss_amp_draugiem" href="https://www.draugiem.lv/say/ext/add.php?link=%encoded_post_url%&title=%post_title%" title="Draugiem" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/draugiem.svg" width="%width%" height="%height%" alt="Draugiem" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Douban' => '<a class="heateor_sss_amp heateor_sss_amp_douban" href="https://www.douban.com/share/service?name=%post_title%&href=%encoded_post_url%&image=&updated=&bm=&url=%encoded_post_url%&title=%post_title%&sel=" title="Douban" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/douban.svg" width="%width%" height="%height%" alt="Douban" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Evernote' => '<a class="heateor_sss_amp heateor_sss_amp_evernote" href="https://www.evernote.com/clip.action?url=%encoded_post_url%&title=%post_title%" title="Evernote" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/evernote.svg" width="%width%" height="%height%" alt="Evernote" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Fark' => '<a class="heateor_sss_amp heateor_sss_amp_fark" href="https://www.fark.com/submit?new_url=%encoded_post_url%" title="Fark" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/fark.svg" width="%width%" height="%height%" alt="Fark" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Fintel' => '<a class="heateor_sss_amp heateor_sss_amp_fintel" href="https://fintel.io/submit?url=%encoded_post_url%" title="Fintel" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/fintel.svg" width="%width%" height="%height%" alt="Fintel" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Flipboard' => '<a class="heateor_sss_amp heateor_sss_amp_flipboard" href="https://share.flipboard.com/bookmarklet/popout?v=2&url=%encoded_post_url%&title=%post_title%" title="Flipboard" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/flipboard.svg" width="%width%" height="%height%" alt="Flipboard" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Folkd' => '<a class="heateor_sss_amp heateor_sss_amp_folkd" href="http://www.folkd.com/page/social-bookmarking.html?addurl=%encoded_post_url%" title="Folkd" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/folkd.svg" width="%width%" height="%height%" alt="Folkd" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'GentleReader' => '<a class="heateor_sss_amp heateor_sss_amp_gentlereader" href="https://app.gentlereader.com/bookmark?url=%encoded_post_url%" title="GentleReader" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/gentlereader.svg" width="%width%" height="%height%" alt="GentleReader" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Google_Bookmarks' => '<a class="heateor_sss_amp heateor_sss_amp_google_bookmarks" href="https://www.google.com/bookmarks/mark?op=edit&bkmk=%encoded_post_url%&title=%post_title%&annotation=" title="Google Bookmarks" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/google_bookmarks.svg" width="%width%" height="%height%" alt="Google Bookmarks" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Google_Classroom' => '<a class="heateor_sss_amp heateor_sss_amp_google_classroom" href="https://classroom.google.com/u/0/share?url=%encoded_post_url%" title="Google Classroom" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/google_classroom.svg" width="%width%" height="%height%" alt="Google Classroom" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Google_Gmail' => '<a class="heateor_sss_amp heateor_sss_amp_google_gmail" href="https://mail.google.com/mail/?ui=2&view=cm&fs=1&tf=1&su=%post_title%&body=Link:%encoded_post_url%" title="Gmail" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/google_gmail.svg" width="%width%" height="%height%" alt="Gmail" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Hacker_News' => '<a class="heateor_sss_amp heateor_sss_amp_hacker_news" href="https://news.ycombinator.com/submitlink?u=%encoded_post_url%&t=%post_title%" title="Hacker News" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/hacker_news.svg" width="%width%" height="%height%" alt="Hacker News" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Hatena' => '<a class="heateor_sss_amp heateor_sss_amp_hatena" href="http://b.hatena.ne.jp/bookmarklet?url=%encoded_post_url%&btitle=%post_title%" title="Hatena" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/hatena.svg" width="%width%" height="%height%" alt="Hatena" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Instapaper' => '<a class="heateor_sss_amp heateor_sss_amp_instapaper" href="http://www.instapaper.com/edit?url=%encoded_post_url%&title=%post_title%" title="Instapaper" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/instapaper.svg" width="%width%" height="%height%" alt="Instapaper" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Jamespot' => '<a class="heateor_sss_amp heateor_sss_amp_jamespot" href="//my.jamespot.com/" title="Jamespot" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/jamespot.svg" width="%width%" height="%height%" alt="Jamespot" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Kakao' => '<a class="heateor_sss_amp heateor_sss_amp_kakao" href="https://story.kakao.com/share?url=%encoded_post_url%" title="Kakao" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/kakao.svg" width="%width%" height="%height%" alt="Kakao" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Kik' => '<a class="heateor_sss_amp heateor_sss_amp_kik" href="https://www.kik.com/send/article/?app_name=Share&text=&title=%post_title%&url=%encoded_post_url%" title="Kik" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/kik.svg" width="%width%" height="%height%" alt="Kik" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Kindle_It' => '<a class="heateor_sss_amp heateor_sss_amp_kindle_it" href="//fivefilters.org/kindle-it/send.php?url=%encoded_post_url%" title="Kindle It" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/kindle_it.svg" width="%width%" height="%height%" alt="Kindle It" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Known' => '<a class="heateor_sss_amp heateor_sss_amp_known" href="https://withknown.com/share/?url=%encoded_post_url%&title=%post_title%" title="Known" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/known.svg" width="%width%" height="%height%" alt="Known" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Line' => '<a class="heateor_sss_amp heateor_sss_amp_line" href="https://social-plugins.line.me/lineit/share?url=%encoded_post_url%" title="Line" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/line.svg" width="%width%" height="%height%" alt="Line" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'LiveJournal' => '<a class="heateor_sss_amp heateor_sss_amp_livejournal" href="http://www.livejournal.com/update.bml?subject=%post_title%&event=%encoded_post_url%" title="LiveJournal" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/livejournal.svg" width="%width%" height="%height%" alt="LiveJournal" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Mail.Ru' => '<a class="heateor_sss_amp heateor_sss_amp_mail_ru" href="https://connect.mail.ru/share?share_url=%encoded_post_url%" title="Mail.Ru" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/mail_ru.svg" width="%width%" height="%height%" alt="Mail.Ru" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Mendeley' => '<a class="heateor_sss_amp heateor_sss_amp_mendeley" href="https://www.mendeley.com/sign-in/" title="Mendeley" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/mendeley.svg" width="%width%" height="%height%" alt="Mendeley" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Meneame' => '<a class="heateor_sss_amp heateor_sss_amp_meneame" href="https://www.meneame.net/submit.php?url=%encoded_post_url%" title="Meneame" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/meneame.svg" width="%width%" height="%height%" alt="Meneame" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'MeWe' => '<a class="heateor_sss_amp heateor_sss_amp_mewe" href="https://mewe.com/share?link=%encoded_post_url%" title="MeWe" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/mewe.svg" width="%width%" height="%height%" alt="MeWe" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'mix' => '<a class="heateor_sss_amp heateor_sss_amp_mix" href="https://mix.com/mixit?url=%encoded_post_url%" title="Mix" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/mix.svg" width="%width%" height="%height%" alt="Mix" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Mixi' => '<a class="heateor_sss_amp heateor_sss_amp_mixi" href="https://mixi.jp/share.pl?mode=login&u=%encoded_post_url%" title="Mixi" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/mixi.svg" width="%width%" height="%height%" alt="Mixi" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'MySpace' => '<a class="heateor_sss_amp heateor_sss_amp_myspace" href=\'var heateorSssMyspaceShareUrl = "https://myspace.com/post?u=" + encodeURIComponent("%encoded_post_url%") +  "&t=%post_title%&l=3&c=%post_title%";heateorSssPopup(heateorSssMyspaceShareUrl)\' title="MySpace" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/myspace.svg" width="%width%" height="%height%" alt="MySpace" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Netvouz' => '<a class="heateor_sss_amp heateor_sss_amp_netvouz" href="http://www.netvouz.com/action/submitBookmark?url=%encoded_post_url%&title=%post_title%&popup=no&description=" title="Netvouz" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/netvouz.svg" width="%width%" height="%height%" alt="Netvouz" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'NewsVine' => '<a class="heateor_sss_amp heateor_sss_amp_newsvine" href="http://www.newsvine.com/_tools/seed?popoff=0&u=%encoded_post_url%&h=%post_title%" title="NewsVine" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/newsvine.svg" width="%width%" height="%height%" alt="NewsVine" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'NUjij' => '<a class="heateor_sss_amp heateor_sss_amp_nujij" href="http://www.nujij.nl/nieuw-bericht.2051051.lynkx?title=%post_title%&url=%encoded_post_url%&bericht=&topic=" title="NUjij" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/nujij.svg" width="%width%" height="%height%" alt="NUjij" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Odnoklassniki' => '<a class="heateor_sss_amp heateor_sss_amp_odnoklassniki" href="https://connect.ok.ru/dk?cmd=WidgetSharePreview&st.cmd=WidgetSharePreview&st.shareUrl=%encoded_post_url%&st.client_id=-1" title="Odnoklassniki" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/odnoklassniki.svg" width="%width%" height="%height%" alt="Odnoklassniki" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Outlook.com' => '<a class="heateor_sss_amp heateor_sss_amp_outlook_com" href="https://mail.live.com/default.aspx?rru=compose?subject=%post_title%&body=%encoded_post_url%&lc=1033&id=64855&mkt=en-us&cbcxt=mai" title="Outlook.com" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/outlook_com.svg" width="%width%" height="%height%" alt="Outlook.com" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Papaly' => '<a class="heateor_sss_amp heateor_sss_amp_papaly" href="https://papaly.com/api/share.html?url=%encoded_post_url%&title=%post_title%" title="Papaly" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/papaly.svg" width="%width%" height="%height%" alt="Papaly" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Pinboard' => '<a class="heateor_sss_amp heateor_sss_amp_pinboard" href="https://pinboard.in/popup_login/?url=%encoded_post_url%&title=%post_title%&later=&description=&next=same" title="Pinboard" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/pinboard.svg" width="%width%" height="%height%" alt="Pinboard" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Plurk' => '<a class="heateor_sss_amp heateor_sss_amp_plurk" href="//www.plurk.com/m?content=%encoded_post_url%&qualifier=shares" title="Plurk" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/plurk.svg" width="%width%" height="%height%" alt="Plurk" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Pocket' => '<a class="heateor_sss_amp heateor_sss_amp_pocket" href="https://readitlaterlist.com/save?url=%encoded_post_url%&title=%post_title%" title="Pocket" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/pocket.svg" width="%width%" height="%height%" alt="Pocket" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'PrintFriendly' => '<a class="heateor_sss_amp heateor_sss_amp_printfriendly" href="http://www.printfriendly.com/print?url=%encoded_post_url%&partner=a2a" title="PrintFriendly" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/printfriendly.svg" width="%width%" height="%height%" alt="PrintFriendly" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Protopage_Bookmarks' => '<a class="heateor_sss_amp heateor_sss_amp_protopage_bookmarks" href="http://www.protopage.com/add-button-site?url=%encoded_post_url%&label=&type=page" title="Protopage Bookmarks" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/protopage_bookmarks.svg" width="%width%" height="%height%" alt="Protopage Bookmarks" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Pusha' => '<a class="heateor_sss_amp heateor_sss_amp_pusha" href="//www.pusha.se/posta?url=%encoded_post_url%" title="Pusha" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/pusha.svg" width="%width%" height="%height%" alt="Pusha" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Qzone' => '<a class="heateor_sss_amp heateor_sss_amp_qzone" href="http://sns.qzone.qq.com/cgi-bin/qzshare/cgi_qzshare_onekey?url=%encoded_post_url%" title="Qzone" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/qzone.svg" width="%width%" height="%height%" alt="Qzone" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Rediff MyPage' => '<a class="heateor_sss_amp heateor_sss_amp_rediff_mypage" href="//share.rediff.com/bookmark/addbookmark?bookmarkurl=%encoded_post_url%&title=%post_title%" title="Rediff MyPage" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/rediff_mypage.svg" width="%width%" height="%height%" alt="Rediff MyPage" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Refind' => '<a class="heateor_sss_amp heateor_sss_amp_refind" href="https://refind.com/?url=%encoded_post_url%" title="Refind" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/refind.svg" width="%width%" height="%height%" alt="Refind" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Renren' => '<a class="heateor_sss_amp heateor_sss_amp_renren" href="//www.connect.renren.com/share/sharer?url=%encoded_post_url%&title=%post_title%" title="Renren" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/renren.svg" width="%width%" height="%height%" alt="Renren" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Segnalo' => '<a class="heateor_sss_amp heateor_sss_amp_segnalo" href="http://segnalo.virgilio.it/post.html.php?url=%encoded_post_url%&title=%post_title%" title="Segnalo" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/segnalo.svg" width="%width%" height="%height%" alt="Segnalo" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Sina Weibo' => '<a class="heateor_sss_amp heateor_sss_amp_sina_weibo" href="http://service.weibo.com/share/share.php?url=%encoded_post_url%&title=%post_title%" title="Sina Weibo" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/sina_weibo.svg" width="%width%" height="%height%" alt="Sina Weibo" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'SiteJot' => '<a class="heateor_sss_amp heateor_sss_amp_sitejot" href="http://www.sitejot.com/loginform.php?iSiteAdd=&iSiteDes=" title="SiteJot" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/sitejot.svg" width="%width%" height="%height%" alt="SiteJot" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Skype' => '<a class="heateor_sss_amp heateor_sss_amp_skype" href="https://web.skype.com/share?url=%encoded_post_url%" title="Skype" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/skype.svg" width="%width%" height="%height%" alt="Skype" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Slashdot' => '<a class="heateor_sss_amp heateor_sss_amp_slashdot" href="//slashdot.org/submission?url=%encoded_post_url%" title="Slashdot" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/slashdot.svg" width="%width%" height="%height%" alt="Slashdot" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'SMS' => '<a class="heateor_sss_amp heateor_sss_amp_sms" href="sms:?&body=%post_title% %encoded_post_url%" title="SMS" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/sms.svg" width="%width%" height="%height%" alt="SMS" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'StockTwits' => '<a class="heateor_sss_amp heateor_sss_amp_stocktwits" href="https://stocktwits.com/widgets/share?body=%post_title%%20%encoded_post_url%" title="StockTwits" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/stocktwits.svg" width="%width%" height="%height%" alt="StockTwits" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Stumpedia' => '<a class="heateor_sss_amp heateor_sss_amp_stumpedia" href="//www.stumpedia.com/submit?url=%encoded_post_url%&title=%post_title%" title="Stumpedia" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/stumpedia.svg" width="%width%" height="%height%" alt="Stumpedia" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Svejo' => '<a class="heateor_sss_amp heateor_sss_amp_svejo" href="https://svejo.net/story/submit_by_url?url=%encoded_post_url%&title=%post_title%&summary=" title="Svejo" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/svejo.svg" width="%width%" height="%height%" alt="Svejo" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Symbaloo_Feeds' => '<a class="heateor_sss_amp heateor_sss_amp_symbaloo_feeds" href="//www.symbaloo.com/" title="Symbaloo Feeds" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/symbaloo_feeds.svg" width="%width%" height="%height%" alt="Symbaloo Feeds" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Telegram' => '<a class="heateor_sss_amp heateor_sss_amp_telegram" href="https://telegram.me/share/url?url=%encoded_post_url%&text=%post_title%" title="Telegram" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/telegram.svg" width="%width%" height="%height%" alt="Telegram" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Threema' => '<a class="heateor_sss_amp heateor_sss_amp_threema" href="threema://compose?text=%post_title% %encoded_post_url%" title="Threema" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/threema.svg" width="%width%" height="%height%" alt="Threema" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Trello' => '<a class="heateor_sss_amp heateor_sss_amp_trello" href="https://trello.com/add-card?mode=popup&url=%encoded_post_url%&name=%post_title%&desc=" title="Trello" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/trello.svg" width="%width%" height="%height%" alt="Trello" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Tuenti' => '<a class="heateor_sss_amp heateor_sss_amp_tuenti" href="https://www.tuenti.com/share?p=b5dd6602&url=%encoded_post_url%" title="Tuenti" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/tuenti.svg" width="%width%" height="%height%" alt="Tuenti" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Twiddla' => '<a class="heateor_sss_amp heateor_sss_amp_twiddla" href="//www.twiddla.com/New.aspx?url=%encoded_post_url%&title=%post_title%" title="Twiddla" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/twiddla.svg" width="%width%" height="%height%" alt="Twiddla" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'TypePad_Post' => '<a class="heateor_sss_amp heateor_sss_amp_typepad_post" href="https://www.typepad.com/services/quickpost/post?v=2&qp_show=ac&qp_title=%post_title%&qp_href=%encoded_post_url%" title="TypePad Post" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/typepad_post.svg" width="%width%" height="%height%" alt="TypePad Post" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Viadeo' => '<a class="heateor_sss_amp heateor_sss_amp_viadeo" href="//www.viadeo.com/shareit/share/?url=%encoded_post_url%&title=%post_title%" title="Viadeo" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/viadeo.svg" width="%width%" height="%height%" alt="Viadeo" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Viber' => '<a class="heateor_sss_amp heateor_sss_amp_viber" href="viber://forward?text=%post_title% %encoded_post_url%" title="Viber" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/viber.svg" width="%width%" height="%height%" alt="Viber" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Webnews' => '<a class="heateor_sss_amp heateor_sss_amp_webnews" href="//www.webnews.de/login" title="Webnews" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/webnews.svg" width="%width%" height="%height%" alt="Webnews" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'WordPress' => '<a class="heateor_sss_amp heateor_sss_amp_wordpress" href="//www.addtoany.com/ext/wordpress/press_this?linkurl=%encoded_post_url%&linkname=%post_title%" title="WordPress" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/wordpress.svg" width="%width%" height="%height%" alt="WordPress" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Wykop' => '<a class="heateor_sss_amp heateor_sss_amp_wykop" href="//www.wykop.pl/dodaj?url=%encoded_post_url%&title=%post_title%" title="Wykop" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/wykop.svg" width="%width%" height="%height%" alt="Wykop" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Yahoo_Mail' => '<a class="heateor_sss_amp heateor_sss_amp_yahoo_mail" href="//compose.mail.yahoo.com/?Subject=%post_title%&body=Link:%encoded_post_url%" title="Yahoo Mail" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/yahoo_mail.svg" width="%width%" height="%height%" alt="Yahoo Mail" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Yahoo_Messenger' => '<a class="heateor_sss_amp heateor_sss_amp_yahoo_messenger" href="ymsgr:sendim?m=%encoded_post_url%" title="Yahoo Messenger" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/yahoo_messenger.svg" width="%width%" height="%height%" alt="Yahoo Messenger" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'Yoolink' => '<a class="heateor_sss_amp heateor_sss_amp_yoolink" href="//yoolink.to/addorshare?url_value=%encoded_post_url%&title=%post_title%" title="Yoolink" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/yoolink.svg" width="%width%" height="%height%" alt="Yoolink" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'YouMob' => '<a class="heateor_sss_amp heateor_sss_amp_youmob" href="//youmob.com/startmob.aspx?cookietest=true&mob=%encoded_post_url%" title="YouMob" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/youmob.svg" width="%width%" height="%height%" alt="YouMob" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>',
		'youtube' => '<a class="heateor_sss_amp heateor_sss_amp_youtube" href="%youtube_username%" title="Youtube" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/youtube.svg" width="%width%" height="%height%" alt="Youtube" class="amp-wp-enforced-sizes" style="width: %width%px;"></amp-img></a>'
	);

	/**
	 * Fetch social share networks
	 *
	 * @since    1.0.0
	 */
	public function fetch_sharing_networks( $sharing_type ) {
		
		$this->sharing_networks['instagram'] = str_replace( '%instagram_username%', $this->options['instagram_username'] != '' ? $this->options['instagram_username'] : $this->options['vertical_instagram_username'], $this->sharing_networks['instagram'] );
		$this->sharing_networks['youtube'] = str_replace( '%youtube_username%', $this->options['youtube_username'] != '' ? $this->options['youtube_username'] : $this->options['vertical_youtube_username'], $this->sharing_networks['youtube'] );
		$this->sharing_networks['Comment'] = str_replace( '%comment_container_id%', $this->options['comment_container_id'] != '' ? $this->options['comment_container_id'] : $this->options['vertical_comment_container_id'], $this->sharing_networks['Comment'] );
		$this->sharing_networks['facebook_share'] = '<li style="padding:%padding%px 0 !important" class="heateor_sss_%network%">%like_count_container%<div class="fb-share-button" data-href="%post_url%" data-layout="button' . ( isset( $this->options[$sharing_type . '_counts'] ) ? '_count' : '' ) . '"></div></li>';
		$this->sharing_networks['facebook_like'] = '<li style="padding:%padding%px 0 !important" class="heateor_sss_%network%">%like_count_container%<div class="fb-like" data-href="%post_url%" data-layout="button' . ( isset( $this->options[$sharing_type . '_counts'] ) ? '_count' : '' ) . '" data-action="like" data-show-faces="false" data-share="false"></div></li>';
		$this->sharing_networks['facebook_recommend'] = '<li style="padding:%padding%px 0 !important" class="heateor_sss_%network%">%like_count_container%<div class="fb-like" data-href="%post_url%" data-layout="button' . ( isset( $this->options[$sharing_type . '_counts'] ) ? '_count' : '' ) . '" data-action="recommend" data-show-faces="false" data-share="false"></div></li>';
		$this->sharing_networks['pinterest_pin'] = '<li style="padding:%padding%px 0!important;margin-top:-1px!important" class="heateor_sss_%network%">%like_count_container%<a data-pin-lang="%language%" href="//www.pinterest.com/pin/create/button/?url=%post_url%" ' . ( isset( $this->options[$sharing_type . '_counts'] ) ? 'data-pin-count="true"' : 'data-pin-count="false"' ) . ' data-pin-do="buttonPin" data-pin-config="beside"><img src="//assets.pinterest.com/images/pidgets/pinit_fg_en_rect_gray_20.png" /></a><script type="text/javascript" async src="//assets.pinterest.com/js/pinit.js"></script></li>';
		$this->sharing_networks['xing_share'] = '<li style="padding:%padding%px 0 !important" class="heateor_sss_xing">%like_count_container%<div data-type="XING/Share" ' . ( isset( $this->options[$sharing_type . '_counts'] ) ? 'data-counter="right" ' : '' ) . 'data-url="%post_url%" data-lang="%language%"></div><script>(function (d, s) {var x = d.createElement(s), s = d.getElementsByTagName(s)[0]; x.src = "https://www.xing-share.com/js/external/share.js"; s.parentNode.insertBefore(x, s); })(document, "script");</script></li>';
		$fb_key = '1904103319867886';
		if ( $this->options['fb_key'] != '' ) {
			$fb_key = $this->options['fb_key'];
		}
		$this->sharing_networks['Facebook_Messenger'] = '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("' . ( $this->check_if_mobile() ? 'fb-messenger://share/?link=%encoded_post_url%' : 'https://www.facebook.com/dialog/send?app_id='. $fb_key .'&display=popup&link=%encoded_post_url%&redirect_uri=%encoded_post_url%' ) . '")\'><ss style="%inner_style%" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>';
		$whatsapp_share_url = $this->whatsapp_share_api();
		$this->sharing_networks['whatsapp'] = '<li class="%li_class%"><i %style% alt="%title%" Title="%title%" class="heateorSssSharing heateorSss%ucfirst_network%Background" onclick=\'heateorSssPopup("https://' . $whatsapp_share_url . '.whatsapp.com/send?text=%post_title% %encoded_post_url%")\'><ss style="display:block" class="heateorSssSharingSvg heateorSss%ucfirst_network%Svg"></ss></i></li>';
		
		return $this->sharing_networks;
	
	}

	/**
	 * Fetch social share networks to display for AMP
	 *
	 * @since    3.1.7
	 */
	public function fetch_amp_sharing_networks() {
		
		$this->amp_sharing_networks['instagram'] = str_replace( '%instagram_username%', $this->options['instagram_username'] != '' ? $this->options['instagram_username'] : $this->options['vertical_instagram_username'], $this->amp_sharing_networks['instagram'] );
		$this->amp_sharing_networks['youtube'] = str_replace( '%youtube_username%', $this->options['youtube_username'] != '' ? $this->options['youtube_username'] : $this->options['vertical_youtube_username'], $this->amp_sharing_networks['youtube'] );
		$this->amp_sharing_networks['Comment'] = str_replace( '%comment_container_id%', $this->options['comment_container_id'] != '' ? $this->options['comment_container_id'] : $this->options['vertical_comment_container_id'], $this->amp_sharing_networks['Comment'] );
		$fb_key = '1904103319867886';
		if ( $this->options['fb_key'] ) {
			$fb_key = $this->options['fb_key'];
		}
		$this->amp_sharing_networks['Facebook_Messenger'] = '<a class="heateor_sss_amp heateor_sss_amp_facebook_messenger" href="' . ( $this->check_if_mobile() ? 'fb-messenger://share/?link=%encoded_post_url%' : 'https://www.facebook.com/dialog/send?app_id=' . $fb_key . '&display=popup&link=%encoded_post_url%&redirect_uri=%encoded_post_url%' ) . '" title="Facebook Messenger" rel="nofollow noopener" target="_blank"><amp-img src="%img_url%/facebook_messenger.svg" width="%width%" height="%height%" alt="Facebook Messenger" class="amp-wp-enforced-sizes" style="width:%width%px;"></amp-img></a>';

		return $this->amp_sharing_networks;
	
	}

	/**
	 * Determine which Whatsapp share url to use
	 *
	 * @since    3.2.13
	 */
	private function whatsapp_share_api() {

		if ( $this->check_if_mobile() ) {
			return 'api';
		}
		return 'web';

	}

	/**
	 * Check if webpage is being visited in a mobile device
	 *
	 * @since    3.3.9
	 */
	private function check_if_mobile() {

		if ( isset( $_SERVER['HTTP_USER_AGENT'] ) ) {
			// detect the device for Whatsapp share API
			$iphone = strpos( $_SERVER['HTTP_USER_AGENT'], "iPhone" );
			$android = strpos( $_SERVER['HTTP_USER_AGENT'], "Android" );
			$palmpre = strpos( $_SERVER['HTTP_USER_AGENT'], "webOS" );
			$berry = strpos( $_SERVER['HTTP_USER_AGENT'], "BlackBerry" );
			$ipod = strpos( $_SERVER['HTTP_USER_AGENT'], "iPod" );
			// check if it's a mobile
			if ( $iphone || $android || $palmpre || $ipod || $berry == true ) {
				return true;
			}
		}

		return false;

	}

}
